gnewsense-users
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[gNewSense-users] Re: gNS seems to be violating GPLv2


From: Yavor Doganov
Subject: [gNewSense-users] Re: gNS seems to be violating GPLv2
Date: Sat, 10 May 2008 18:35:03 +0300
User-agent: Wanderlust/2.15.5 (Almost Unreal) SEMI/1.14.6 (Maruoka) FLIM/1.14.9 (Goj┼Ź) APEL/10.7 Emacs/22.2 (i486-pc-linux-gnu) MULE/5.0 (SAKAKI)

Markus Laire wrote:
> 
> > Even though this strict interpretation may be correct, I don't think
> > it's black and white like that.  
> 
> > First of all, there's a question on
> > whether the changes at hand are copyrightable in the first place.
> 
> If you modify files, you need to acknowledge that fact so that
> everyone knows that they are getting modified version, even if the
> changes are non-copyrightable.

Show me one Debian package which has patches in debian/patches (or
direct modifications of the upstream source, which end up in the
diff.gz) and fulfills this requirement.

Although a robotic reading of the license really suggests what you
write, there has been literally no (or little) fuzz about this in the
community.  I'm quite certain that many people will consider it a
rather odd practice.

One may argue that Debian source packages are compliant, since changes
are always easily visible.  The same can be said for SRPMs, if I
remember my early Red Hat days correctly.





reply via email to

[Prev in Thread] Current Thread [Next in Thread]